Skip to main content
POST
/
accounts
/
customers
/
{customerId}
/
addresses
Add an address to a customer
curl --request POST \
  --url https://api-sb.meld.io/accounts/customers/{customerId}/addresses \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "BILLING"
}
'
{
  "addressDetails": {
    "city": "<string>",
    "country": "<string>",
    "lineOne": "<string>",
    "lineTwo": "<string>",
    "postalCode": "<string>",
    "region": "<string>"
  },
  "customerId": "<string>",
  "id": "<string>"
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Path Parameters

customerId
string
required

Customer id

Body

application/json
address
object
required

Address details

type
enum<string>
required

Address type

Available options:
BILLING,
SHIPPING,
RESIDENCE

Response

Address is created

Customer address

addressDetails
object

Address details.

customerId
string

Customer id

id
string

Unique identifier for this customer address

status
enum<string>

Address status

Available options:
ACTIVE,
INACTIVE
type
enum<string>

Address type

Available options:
BILLING,
SHIPPING,
RESIDENCE